package com.bcxin.ars.dto.approve;

import com.bcxin.ars.model.approve.ApproveAreaProcess;
import com.bcxin.ars.model.approve.ApproveLinkLevel;
import com.bcxin.ars.model.approve.ApproveTempLinkRela;

import java.util.List;

/**
 * @author：wangcy
 * @date：2018/02/23 0023 16:46
 * @description：用于数据导出
 */
public class ApproveAreaProcessDataDto {
    /**
     * 审批环节层级集合
     */
    private List<ApproveLinkLevel> approveLinkLevelList;
    /**
     * 审批模板环节关联集合
     */
    private List<ApproveTempLinkRela> approveTempLinkRelaList;
    /**
     * 区域审批流程集合
     */
    private List<ApproveAreaProcess> approveAreaProcessList;

    public List<ApproveLinkLevel> getApproveLinkLevelList() {
        return approveLinkLevelList;
    }

    public void setApproveLinkLevelList(List<ApproveLinkLevel> approveLinkLevelList) {
        this.approveLinkLevelList = approveLinkLevelList;
    }

    public List<ApproveTempLinkRela> getApproveTempLinkRelaList() {
        return approveTempLinkRelaList;
    }

    public void setApproveTempLinkRelaList(List<ApproveTempLinkRela> approveTempLinkRelaList) {
        this.approveTempLinkRelaList = approveTempLinkRelaList;
    }

    public List<ApproveAreaProcess> getApproveAreaProcessList() {
        return approveAreaProcessList;
    }

    public void setApproveAreaProcessList(List<ApproveAreaProcess> approveAreaProcessList) {
        this.approveAreaProcessList = approveAreaProcessList;
    }
}
